// ****************************************************************************
// copyright (c) 2000,2001 Horst Knorr <hk_classes@knorrnet.de>
// This file is part of the hk_kdeclasses library.
// This file may be distributed and/or modified under the terms of the
// GNU Public License version 2 as published by the Free Software
// Foundation and appearing in the file COPYING included in the
// packaging of this file.
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
// ****************************************************************************
#ifndef HK_KDELABEL
#define HK_KDELABEL
#include <hk_label.h>
#include <qlabel.h>
class hk_kdesimpleform;
/**
*
*@short a label in a form
*@version $Revision: 1.4 $
*@author Horst Knorr (hk_classes@knorrnet.de)
*/
class hk_kdelabel :public QLabel, public hk_label
{
Q_OBJECT
public:
 hk_kdelabel(hk_kdesimpleform* form);
protected:
virtual	void	widget_specific_label_changed(void);
virtual bool	widget_specific_coordinates(uint px,uint py,uint pwidth,uint pheight);
virtual void	widget_specific_font_changed(void);
virtual void resizeEvent (QResizeEvent *);
virtual void  moveEvent ( QMoveEvent * ) ;

private:
void	reposition(void);

};
#endif


