// ****************************************************************************
// copyright (c) 2000,2001 Horst Knorr <hk_classes@knorrnet.de>
// This file is part of the hk_kdeclasses library.
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file COPYING included in the
// packaging of this file.
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
// ****************************************************************************

#include "hk_kdepreferencesdialog.h"
#include "hk_class.h"
#include <qlabel.h>
#include <qtabwidget.h>

hk_kdepreferencesdialog::hk_kdepreferencesdialog( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : hk_kdepreferencesdialogbase( parent, name, modal, fl )
{

    datelabel->setText( hk_class::hk_translate( "Date format:"  ).c_str() );
    timelabel->setText( hk_class::hk_translate( "Time format:"  ).c_str() );
    datetimelabel->setText( hk_class::hk_translate( "Date&Time format:"  ).c_str() );
    setCaption( hk_class::hk_translate( "Preferences"  ).c_str() );
   regionaltab->changeTab(regionalpage,hk_class::hk_translate("&Regional").c_str());



}


hk_kdepreferencesdialog::~hk_kdepreferencesdialog()
{
    // no need to delete child widgets, Qt does it all for us
}

