// ****************************************************************************
// copyright (c) 2000,2001 Horst Knorr <hk_classes@knorrnet.de>
// This file is part of the hk_kdeclasses library.
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file COPYING included in the
// packaging of this file.
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
// ****************************************************************************
// $Revision: 1.3 $

#include "hk_kdefinddialog.h"
#include <hk_class.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qpushbutton.h>
#include <qcombobox.h>

hk_kdefinddialog::hk_kdefinddialog( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : hk_kdefinddialogbase( parent, name, modal, fl )
{
  part_of_columnbox->setChecked(true);
  part_of_columnbox->setText(hk_class::hk_translate("&Part of column").c_str());
  searchlabel->setText(hk_class::hk_translate("Search").c_str());
  optionsgroup->setTitle(hk_class::hk_translate("Optionen").c_str());
  case_sensitivebox->setText(hk_class::hk_translate("C&ase sensitive").c_str());
  all_columnsbox->setText(hk_class::hk_translate("All c&olumns").c_str());
  find_backwardsbox->setText(hk_class::hk_translate("Find &backwards").c_str());
  all_columnsbox->hide();
  setCaption(hk_class::hk_translate("Search Dialog").c_str());
  ok_button->setText(hk_class::hk_translate("&Ok").c_str());
  cancel_button->setText(hk_class::hk_translate("&Cancel").c_str());
  searchfield->setFocus();

}

hk_kdefinddialog::~hk_kdefinddialog()
{
    // no need to delete child widgets, Qt does it all for us
}

void hk_kdefinddialog::find_slot()
{

   emit signal_findbutton_clicked();
}

void hk_kdefinddialog::new_findargument()
{
   emit signal_findargument_changed();
}


