// ****************************************************************************
// copyright (c) 2000,2001 Horst Knorr <hk_classes@knorrnet.de>
// This file is part of the hk_kdeclasses library.
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file COPYING included in the
// packaging of this file.
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
// ****************************************************************************

#ifndef HK_KDEGRIDCOLUMNDIALOG_H
#define HK_KDEGRIDCOLUMNDIALOG_H
#include "hk_kdegridcolumndialogbase.h"
class hk_kdegrid;
/**
*
*@internal
*@version $Revision: 1.4 $
*@author Horst Knorr (hk_classes@knorrnet.de)

*
*/

class hk_kdegridcolumndialog : public hk_kdegridcolumndialogbase
{ 
    Q_OBJECT

public:
    hk_kdegridcolumndialog( hk_kdegrid* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~hk_kdegridcolumndialog();

public slots:
    void addbutton_clicked();
    void deletebutton_clicked();
    void exitbutton_clicked();
    void okbutton_clicked();
    void defaultvalue_changed();
    void rightbox_selectionchanged(QListViewItem*);

private:
    void listentries_changed(void);
    void set_columnvalues(void);
    hk_kdegrid* p_grid;
};


#endif // HK_KDEGRIDCOLUMNDIALOG_H
